/* NORAUTO
  -------------------- */


.norauto-theme {
  /* BRAND
   -------------------- */

  /**
   * Brand Primary
   */
  --road-brand-primary: #002b6f;

  /**
   * Primary
   */
  --road-primary-10: #001638;
  --road-primary-20: #002b6f;
  --road-primary-30: #004293;
  --road-primary-40: #005ab8;
  --road-primary-50: #0071dc;
  --road-primary-60: #338de3;
  --road-primary-70: #66aaea;
  --road-primary-80: #99c6f1;
  --road-primary-90: #cce3f8;

  /**
   * Brand Secondary
   */
  --road-brand-secondary: #fcb731;

  /**
   * Secondary
   */
  --road-secondary-10: #9c3305;
  --road-secondary-20: #b14512;
  --road-secondary-30: #c4621a;
  --road-secondary-40: #d67e21;
  --road-secondary-50: #e99b29;
  --road-secondary-60: #fcb731;
  --road-secondary-70: #fdca68;
  --road-secondary-80: #fdde9f;
  --road-secondary-90: #fef1d6;

  /* GREYSCALE
  -------------------- */
  --road-grey-0: #000000;
  --road-grey-5: #11151d;
  --road-grey-10: #22293a;
  --road-grey-15: #2c3345;
  --road-grey-20: #353c50;
  --road-grey-30: #51586c;
  --road-grey-40: #6d7488;
  --road-grey-50: #898fa0;
  --road-grey-60: #a4a9b6;
  --road-grey-70: #c1c4cd;
  --road-grey-80: #dddfe4;
  --road-grey-85: #e9eaed;
  --road-grey-90: #f4f4f6;
  --road-grey-95: #fafafb;
  --road-grey-100-new: #ffffff;

  /**
   * Header
   */
  --road-header-surface: var(--road-primary-20);
  --road-on-header-surface: var(--road-grey-100-new);
  --road-header-surface-disabled: rgba(255, 255, 255, 0.32);
  --road-on-header-surface-disabled: rgba(255, 255, 255, 0.4);
  --road-header-outline: var(--road-primary-20);
  --road-header-icon: var(--road-grey-100-new);
  --road-header-icon-variant: var(--road-secondary-60);
  --road-header-badge: var(--road-secondary-60);
  --road-on-header-badge: var(--road-primary-10);

  /**
   * Neutral Surface
  */
  --road-surface: var(--road-grey-100-new);
  --road-surface-inverse: var(--road-grey-90);
  --road-surface-disabled: rgba(137, 143, 160, 0.24);
  --road-on-surface: var(--road-grey-5);
  --road-on-surface-weak: var(--road-grey-30);
  --road-on-surface-extra-weak: var(--road-grey-40);
  --road-on-surface-disabled: rgba(34, 41, 58, 0.32);

  /**
   * Brand Surface
  */
  --road-primary: var(--road-primary-50);
  --road-primary-variant: var(--road-primary-20);
  --road-on-primary: var(--road-grey-100-new);
  --road-secondary: var(--road-secondary-60);
  --road-secondary-variant: var(--road-secondary-40);
  --road-on-secondary: var(--road-grey-10);

  /**
   * Outline
  */
  --road-outline: var(--road-grey-60);
  --road-outline-weak: var(--road-grey-80);
  --road-outline-variant: var(--road-primary-30);

  /**
   * Artwork
  */
  --road-icon: var(--road-grey-10);
  --road-icon-variant: var(--road-secondary-50);
  --road-icon-inverse: var(--road-grey-100-new);
  --road-icon-inverse-variant: var(--road-secondary-60);

  /**
   * Overlay
  */
  --road-overlay: rgba(0, 0, 0, 0.64);
  --road-overlay-inverse: rgba(255, 255, 255, 0.64);
  --road-on-overlay: var(--road-grey-100-new);
  --road-on-overlay-inverse: var(--road-grey-10);

  /**
   * Buttons
  */
  --road-button-primary: var(--road-primary-40);
  --road-button-primary-variant: var(--road-primary-30);
  --road-on-button-primary: var(--road-grey-100-new);
  --road-button-secondary: var(--road-secondary-60);
  --road-button-secondary-variant: var(--road-secondary-40);
  --road-on-button-secondary: var(--road-grey-10);
  --road-button-tertiary: rgba(241, 187, 205, 0);
  --road-button-tertiary-variant: var(--road-primary-90);
  --road-button-tertiary-outline: var(--road-primary-40);
  --road-on-button-tertiary: var(--road-primary-50);
  --road-button-ghost: rgba(241, 187, 205, 0);
  --road-button-ghost-variant: var(--road-primary-90);
  --road-on-button-ghost: var(--road-primary-40);

  /**
   * Fab Button
  */

  --road-button-fab: var(--road-secondary-60);
  --road-on-button-fab: var(--road-grey-10);
  --road-button-fab-variant: var(--road-secondary-40);

  /**
   * Link
  */
  --road-link-primary: var(--road-primary-40);
  --road-link-secondary: var(--road-grey-10);
  --road-link-inverse: var(--road-grey-100-new);

  /**
   * Forms
  */
  --road-input-surface: var(--road-primary-50);
  --road-input-surface-variant: var(--road-primary-30);
  --road-input-outline: var(--road-grey-40);
  --road-input-outline-variant: var(--road-primary-30);

  /**
   * Decorative
  */
  --road-decorative-surface: var(--road-secondary-50);
  --road-decorative-surface-variant: var(--road-primary-50);

  /**
   * Leading Banner
  */

  --road-leading-banner: var(--road-secondary-60);
  --road-on-leading-banner: var(--road-grey-10);
}
